## EContentRequest EContentRequest |

## Functions

gboolean | e_content_request_can_process_uri ()
gboolean | e_content_request_process_sync ()
void | e_content_request_process ()
gboolean | e_content_request_process_finish ()

## Object Hierarchy

        GInterface
        ╰── EContentRequest

## Description

## Functions

### e_content_request_can_process_uri ()

    gboolean
    e_content_request_can_process_uri (EContentRequest *request,
                                       const gchar *uri);

### e_content_request_process_sync ()

    gboolean
    e_content_request_process_sync (EContentRequest *request,
                                    const gchar *uri,
                                    GObject *requester,
                                    GInputStream **out_stream,
                                    gint64 *out_stream_length,
                                    gchar **out_mime_type,
                                    GCancellable *cancellable,
                                    GError **error);

### e_content_request_process ()

    void
    e_content_request_process (EContentRequest *request,
                               const gchar *uri,
                               GObject *requester,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

### e_content_request_process_finish ()

    gboolean
    e_content_request_process_finish (EContentRequest *request,
                                      GAsyncResult *result,
                                      GInputStream **out_stream,
                                      gint64 *out_stream_length,
                                      gchar **out_mime_type,
                                      GError **error);